# vim: set ts=2 sw=2 sts=2 et:
#
# Module fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\ImageSettings:
  - model: XLite\Model\Image\Product\Image
    code: LGThumbnailGrid
    width: 200
    height: 200
  - model: XLite\Model\Image\Product\Image
    code: Default
    width: 568
    height: 568
  - model: XLite\Model\Image\Product\Image
    code: GalleryPreview
    width: 80
    height: 80
  - model: XLite\Model\Image\Category\Image
    code: Default
    width: 230
    height: 230
  - model: QSL\ShopByBrand\Model\Image\Brand\Image
    code: Default
    width: 160
    height: 160
  - model: XLite\Model\Image\Common\Logo
    code: Default
    width: 163
    height: 30
  - model: XLite\Model\Image\Common\Logo
    code: Mobile
    width: 126
    height: 14

XLite\Model\LanguageLabel:
  - { name: 'Sign Up for Our Newsletter', translations: [{ code: en, label: 'Sign Up for Our Newsletter' }] }
  - { name: 'x reviews', translations: [{ code: en, label: '{{count}} review(s)' }] }
  - { name: 'no reviews', translations: [{ code: en, label: 'no reviews' }] }
  - { name: 'x products', translations: [{ code: en, label: '{{count}} products' }] }
  - { name: '1 product', translations: [{ code: en, label: '1 product' }] }
  - { name: 'x subcategories', translations: [{ code: en, label: '{{count}} subcategories' }] }
  - { name: '1 subcategory', translations: [{ code: en, label: '1 subcategory' }] }
  - { name: 'High - Low', translations : [ { code : en, label : 'High - Low' } ] }
  - { name: 'Low - High', translations : [ { code : en, label : 'Low - High' } ] }
  - { name: 'A - Z', translations : [ { code : en, label : 'A - Z' } ] }
  - { name: 'Z - A', translations : [ { code : en, label : 'Z - A' } ] }
  - { name: 'Products: BEGIN - END of TOTAL', translations: [{ code: en, label: '<span class="pager__products">Products: </span><span class="pager__count pager__count--begin">{{begin}}</span>&ndash;<span class="pager__count pager__count--end">{{end}}</span> of <span class="pager__count pager__count--total">{{total}}</span>' }] }
  - { name: 'Show 1 item', translations: [{ code: en, label: 'Show 1 item' }] }
  - { name: 'Hide 1 item', translations: [{ code: en, label: 'Hide 1 item' }] }
  - { name: 'Show {{count}} items', translations: [{ code: en, label: 'Show {{count}} items' }] }
  - { name: 'Hide {{count}} items', translations: [{ code: en, label: 'Hide {{count}} items' }] }
  - { name: 'Shopping cart - X items', translations: [{ code: en, label: '{{count}} items' }] }
  - { name: 'Shopping cart - X item', translations: [{ code: en, label: '{{count}} item' }] }
  - { name: 'Are you sure you want to clear the cart?', translations: [{ code: en, label: 'Are you sure you want to clear the cart?' }] }
  - { name: 'Search for', translations: [{ code: en, label: 'Search for' }] }
  - { name: 'Show products', translations: [{ code: en, label: 'Show products' }] }
  - { name: 'imgsize-product-GalleryPreview', translations: [{ code: en, label: 'Gallery preview image' }] }
  - { name: 'Clear All', translations: [{ code: en, label: 'Clear All' }] }
  - { name: 'Add new vehicle', translations: [{ code: en, label: 'Add new vehicle' }] }
  - { name: 'Phone & Email', translations: [{ code: en, label: 'Phone & Email' }] }
  - { name: 'Social', translations: [{ code: en, label: 'Social' }] }
  - { name: 'Previous slide', translations: [{ code: en, label: 'Previous slide' }] }
  - { name: 'Next slide', translations: [{ code: en, label: 'Next slide' }] }
  - { name: 'exc.VAT', translations: [ { code: en, label: 'Excl. {{name}}' } ] }
  - { name: 'inc.VAT', translations: [ { code: en, label: 'Incl. {{name}}' } ] }
  - { name: 'imgsize-special_offer-Default', translations: [ { code: en, label: 'Special offer banner' } ] }
  - { name: 'Regional settings', translations: [ { code: en, label: 'Regional settings' } ] }
  - { name: 'Selected options', translations: [ { code: en, label: 'Selected options' } ] }
  - { name: 'Remove from the comparison table', translations: [ { code: en, label: 'Remove from the comparison table' } ] }
  - { name: 'Order #X, Y', translations: [ { code: en, label: 'Order #{{id}}' } ] }
  - { name: 'Items list', translations: [ { code: en, label: 'Items list' } ] }
  - { name: 'Search items...(customer header search form)', translations: [{ code: en, label: 'Search...' }] }
  - { name: 'X products for your vehicle', translations: [{ code: en, label: '{{count}} products for your vehicle' }] }
  - { name: 'Comparison table - 1 item', translations: [{ code: en, label: 'Comparison table - 1 item' }] }
  - { name: 'You are unsubscribed from the product information changes', translations: [{ code: en, label: 'You are unsubscribed from the product information changes.' }] }
  - { name: 'Votes: Y', translations: [{ code: en, label: '(Votes: {{votes}})' }] }
  - { name: 'Switch section', translations: [{ code: en, label: 'Switch section' }] }
  - { name: 'Clear fitment filter', translations: [{ code: en, label: 'Clear fitment filter' }] }
  - { name: 'Category thumbnail', translations: [{ code: en, label: 'Category thumbnail' }] }
  - { name: 'imgsize-XC\AutoMobileSkin\Model\Image\Category\Thumbnail-Menu', translations: [{ code: en, label: 'Category thumbnail' }] }
  - { name: 'Cannot write the category thumbnail from {{value}}. Make sure the "images" directory has write permissions.', translations: [{ code: en, label: 'Cannot write the category thumbnail from {{value}}. Make sure the "images" directory has write permissions.' }] }
  - { name: 'Cannot find the category thumbnail file {{value}}. Load failed.', translations: [{ code: en, label: 'Cannot find the category thumbnail file {{value}}. Load failed.' }] }
  - { name: 'Cannot download the category thumbnail {{value}}', translations: [{ code: en, label: 'Cannot download the category thumbnail {{value}}' }] }
  - { name: 'Unknown error while importing the category thumbnail {{value}}. Load failed.', translations: [{ code: en, label: 'Unknown error while importing the category thumbnail {{value}}. Load failed.' }] }
  - { name: 'Garage', translations: [{ code: en, label: 'Garage' }] }
  - { name: 'Store vehicles in your garage', translations: [{ code: en, label: 'Store vehicles in your garage' }] }
  - { name: 'Get product recommendations', translations: [{ code: en, label: 'Get product recommendations' }] }
  - { name: 'Easily find parts & accessories', translations: [{ code: en, label: 'Easily find parts & accessories' }] }
  - { name: 'Enable Dark Theme', translations: [{ code: en, label: 'Enable Dark Theme' }] }
  - { name: 'Currency & Language', translations: [{ code: en, label: 'Currency & Language' }] }
  - { name: 'View all', translations: [{ code: en, label: 'View all' }] }
  - { name: 'View All', translations: [{ code: en, label: 'View All' }] }
  - { name: 'Subtotal', translations: [{ code: en, label: 'Subtotal' }] }
  - { name: 'Add more', translations: [{ code: en, label: 'Add more' }] }
  - { name: 'Toggle search panel', translations: [{ code: en, label: 'Toggle search panel' }] }
  - { name: 'Open mobile menu', translations: [{ code: en, label: 'Open mobile menu' }] }
  - { name: 'Close mobile menu', translations: [{ code: en, label: 'Close mobile menu' }] }
  - { name: '{{company}} in {{network}}', translations: [{ code: en, label: '{{company}} in {{network}}' }] }
  - { name: 'social_facebook', translations: [{ code: en, label: 'Facebook' }] }
  - { name: 'social_twitter', translations: [{ code: en, label: 'X (Twitter)' }] }
  - { name: 'social_linkedin', translations: [{ code: en, label: 'LinkedIn' }] }
  - { name: 'social_youtube', translations: [{ code: en, label: 'YouTube' }] }
  - { name: 'social_instagram', translations: [{ code: en, label: 'Instagram' }] }
  - { name: 'Open subcategories list', translations: [{ code: en, label: 'Open subcategories list' }] }
  - { name: 'Home Page', translations: [{ code: en, label: 'Home Page' }] }
  - { name: 'Magnifying glass', translations: [{ code: en, label: 'Magnifying glass' }] }
  - { name: 'Root categories list', translations: [{ code: en, label: 'Root categories list' }, { code: es, label: 'Lista de categorías raíz' }] }
  - { name: 'You just added', translations: [ { code: en, label: 'You have just added' } ] }
  - { name: 'Tabs, second level categories as lists', translations: [{ code: es, label: 'Fichas, categorías de segundo nivel como listas' }, { code: en, label: 'Tabs, second level categories as lists' }] }
  - { name: 'Write a Review', translations: [ { code: en, label: 'Write a Review' } ] }
  - { name: 'Shop By Brand', translations: [ { code: en, label: 'Shop By Brand' } ] }
  - { name: '(selected)', translations: [ { code: en, label: '(selected)' } ] }
  - { name: '[automobile] In stock only {{amount}} item(s)', translations: [ { code: en, label: 'In stock only {{amount}} item(s)' } ] }

XLite\Model\Config:
  - { name: company_social, category: Company, type: 'separator', orderby: 45010, translations: [{ code: en, option_name: 'Social presence' }], module: 'XC-AutoMobileSkin' }
  - { name: social_facebook, category: Company, value: 'https://facebook.com/test_company/', type: 'text', orderby: 45020, translations: [{ code: en, option_name: 'Facebook' }], , module: 'XC-AutoMobileSkin' }
  - { name: social_twitter, category: Company, value: 'https://x.com/testcompany', type: 'text', orderby: 45030, translations: [{ code: en, option_name: 'X (Twitter)' }], module: 'XC-AutoMobileSkin' }
  - { name: social_linkedin, category: Company, value: 'https://linkedin.com/company/test-company/', type: 'text', orderby: 45040, translations: [{ code: en, option_name: 'LinkedIn' }], module: 'XC-AutoMobileSkin' }
  - { name: social_youtube, category: Company, value: 'https://www.youtube.com/user/TestCompany', type: 'text', orderby: 45050, translations: [{ code: en, option_name: 'YouTube' }], module: 'XC-AutoMobileSkin' }
  - { name: social_instagram, category: Company, value: 'https://www.instagram.com/test_company/', type: 'text', orderby: 45060, translations: [{ code: en, option_name: 'Instagram' }], module: 'XC-AutoMobileSkin' }
